Loading...
Searching...
No Matches
bn_mul.h File Reference

Multi-precision integer library. More...

`#include "mbedtls/config.h"`
`#include "mbedtls/bignum.h"`
Include dependency graph for bn_mul.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_BYTES_TO_T_UINT_4(a, b, c, d)
#define | MBEDTLS_BYTES_TO_T_UINT_2(a, b) MBEDTLS_BYTES_TO_T_UINT_4(a, b, 0, 0)
#define | MBEDTLS_BYTES_TO_T_UINT_8(a, b, c, d, e, f, g, h)
#define | asm __asm
#define | MULADDC_INIT
#define | MULADDC_CORE
#define | MULADDC_STOP }

## Detailed Description

Multi-precision integer library.

Definition in file bn_mul.h.

## Macro Definition Documentation

## asm

#define asm __asm

Definition at line 79 of file bn_mul.h.

## MBEDTLS_BYTES_TO_T_UINT_2

#define MBEDTLS_BYTES_TO_T_UINT_2 | ( |  | a,
|  |  | b
| ) |  | MBEDTLS_BYTES_TO_T_UINT_4(a, b, 0, 0)

Definition at line 48 of file bn_mul.h.

## MBEDTLS_BYTES_TO_T_UINT_4

#define MBEDTLS_BYTES_TO_T_UINT_4 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

Value:
((mbedtls_mpi_uint) (a) << 0) | \
((mbedtls_mpi_uint) (b) << 8) | \
((mbedtls_mpi_uint) (c) << 16) | \
((mbedtls_mpi_uint) (d) << 24)
mbedtls_mpi_uint
uint32_t mbedtls_mpi_uint
The type of machine digits in a bignum, called limbs.
Definition bignum.h:168

Definition at line 42 of file bn_mul.h.

## MBEDTLS_BYTES_TO_T_UINT_8

#define MBEDTLS_BYTES_TO_T_UINT_8 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e,
|  |  | f,
|  |  | g,
|  |  | h
| ) |  |

Value:
MBEDTLS_BYTES_TO_T_UINT_4(a, b, c, d), \
MBEDTLS_BYTES_TO_T_UINT_4(e, f, g, h)
MBEDTLS_BYTES_TO_T_UINT_4
#define MBEDTLS_BYTES_TO_T_UINT_4(a, b, c, d)
Definition bn_mul.h:42

Definition at line 51 of file bn_mul.h.

## MULADDC_CORE

#define MULADDC_CORE

Value:
r = *(s++) * (mbedtls_t_udbl) b; \
r0 = (mbedtls_mpi_uint) r; \
r1 = (mbedtls_mpi_uint)( r >> biL ); \
r0 += c; r1 += (r0 < c); \
r0 += *d; r1 += (r0 < *d); \
c = r1; *(d++) = r0;
mbedtls_t_udbl
uint64_t mbedtls_t_udbl
Definition bignum.h:170

Definition at line 965 of file bn_mul.h.

## MULADDC_INIT

#define MULADDC_INIT

Value:
{ \
mbedtls_t_udbl r; \
mbedtls_mpi_uint r0, r1;

Definition at line 960 of file bn_mul.h.

## MULADDC_STOP

#define MULADDC_STOP }

Definition at line 973 of file bn_mul.h.